Saltar al contenido principal
POST
/
v3
/
enterprise
/
idp-groups
Registrar los grupos de IdP de la cuenta
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/idp-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idp_group_names": [
    "<string>"
  ]
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/idp-groups"

payload = { "idp_group_names": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({idp_group_names: ['<string>']})
};

fetch('https://api.devin.ai/v3/enterprise/idp-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "idp_group_name": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Permisos

Se requiere un usuario de servicio con el permiso ManageAccountMembership a nivel de Enterprise.

Autorizaciones

Authorization
string
header
requerido

Credencial de usuario de servicio (prefijo: cog_)

Cuerpo

application/json
idp_group_names
string[]
requerido
Required array length: 1 - 100 elements

Respuesta

Respuesta correcta

idp_group_name
string
requerido